#
# @(#)S507atok12 1.7 03/03/05 SMI
#
# Launch Desktop X Input Method Server for ATOK12
# Locale: en_US.UTF-8
#

if [ -x /usr/openwin/bin/htt -a -f /usr/lib/im/leif/atok12.so ]; then 
	# OpenWindows
	if [ "_$_sunximswm" = "_olwm" ] ; then
		: # ATOK12 does not support OpenWindows
		: # do not unset DTSTARTIMS in this case
	# CDE
	else
		LC_ALL=ja LANG=ja \
		XFILESEARCHPATH=/usr/openwin/lib/locale/ja/%T/%N%S \
		/usr/openwin/bin/htt \
			-if atok12 -so -nosm -lc_basiclocale ja -xim htt_xbe \
			> /dev/null 2>&1
#		unset DTSTARTIMS # do not unset DTSTARTIMS in en_US.UTF-8
	fi
fi
